VARKON Version 1.15 1997-12-29

> ## arc_fil - Geometric procedure

> Creates an arc
> Description
> Creates a circular fillet between two lines, arcs or curves. A fillet between two entites can be constructed in any of the four corners of their intersection. An alt parameter is used to select the right corner using the following rule:
> The corner on the right side of both entities = 1.
> The corner on the left side of the first but right side of the second = 2.
> The corner on the right side of the first but left side of the second = 3.
> The corner on the left side of both entities = 4.
> Syntax
> arc_fil(id, ref1, ref2, r, alt:attributes);

> REF | id;
> REF | ref1;
> REF | ref2;
> FLOAT | r;
> INT | alt;

> Principal parameters

> id | - Local identity
> ref1 | - First line, arc or curve
> ref2 | - Second line, arc or curve
> r | - Radius
> alt | - Alternative, see above

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> AFONT | - Solid(0), dashed(1) or centerline(2)
> ADASHL | - Dashlength
> WIDTH | - Linewidth

> Examples
> arc_fil(#10,#5,#6,5,2);
> Creates an arc tangent to #5 and #6 with radius = 5. The corner defined by the left side of #5 and right side of #6 is selected (alt=2).
> Comments
> In a 3D module the resulting arc is restricted to the XY-plane of the active coordinate system. If any of the referenced entities are not in this plane they will be projected along the Z-axis onto the XY-plane before being used to create the new arc.

VARKON Homepage | Index